## org.eclipse.datatools.sqltools.db.derby.core
Class DerbyCallableRunnable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
                      org.eclipse.datatools.sqltools.routineeditor.result.CallableSQLResultRunnable
                          org.eclipse.datatools.sqltools.db.derby.core.DerbyCallableRunnable

All Implemented Interfaces:
  java.lang.Comparable, java.lang.Runnable, org.eclipse.core.runtime.IAdaptable

    public class DerbyCallableRunnable

extends CallableSQLResultRunnable

Derby's CallableStatement format is different with that defined by JDBC.

Author:
  hcao

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`DerbyCallableRunnable(java.sql.Connection con, org.eclipse.debug.core.ILaunchConfiguration configuration, boolean closeCon, IConnectionTracker tracker, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.routineeditor.result.CallableSQLResultRunnable
`byteToChar, getConfiguration, getConsumerName`

Methods inherited from class org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
`getActionType, getDatabaseIdentifier, getOperationCommand, getOperationStatus, getParentOperationCommand, loopThroughResults, run, setActionType, setConsumerName, setNeedsInitConnection, setParentOperCommand, terminateExecution`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### DerbyCallableRunnable

    public DerbyCallableRunnable(java.sql.Connection con,
                                 org.eclipse.debug.core.ILaunchConfiguration configuration,
                                 boolean closeCon,
                                 IConnectionTracker tracker,
                                 org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)
                          throws org.eclipse.core.runtime.CoreException,
                                 java.sql.SQLException,
                                 org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

Throws:
  `org.eclipse.core.runtime.CoreException`
  `java.sql.SQLException`
  `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`